import Foundation
import App

abbrev = 'Masao_TOS'
iconName = 'Masao_TOS'
longName = 'Masao Class'
shipFile = 'Masao_TOS' 
menuGroup = 'TOS Ships'
playerMenuGroup = 'TOS Ships'
SubMenu = 'Federation'
species = App.SPECIES_GALAXY

Foundation.ShipDef.Masao_TOS = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })

Foundation.ShipDef.Masao_TOS.fMaxWarp = 7.0
Foundation.ShipDef.Masao_TOS.fCruiseWarp = 4.0
Foundation.ShipDef.Masao_TOS.fWarpEntryDelayTime = 2.0
Foundation.ShipDef.Masao_TOS.sBridge = 'Constitutionbridge'
Foundation.ShipDef.Masao_TOS.desc = "The USS Masao (NCC-720) was a Masao class Federation Escort Destroyer in the 23rd century.\n\nThe Masao class of ship came into existence due to a need for a more versatile and less expensive escort vessel than those previously used by Starfleet.  A marked improvement over the Saladin class, she was equipped with advanced weapons and shields as well as shuttle launching capability, she was described as a 'trim but deadly' ship.\n\nWhen opportunity provided, the destroyer escort could fulfill the mission of the destroyer by attacking enemy ships with phasers and torpedoes and serving as scout ships of the fleet."



if menuGroup:           Foundation.ShipDef.Masao_TOS.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Masao_TOS.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
